Package org.spongepowered.asm.mixin.injection.struct

## Annotation Type InjectionInfo.InjectorOrder

-     @Retention(RUNTIME)
      @Target(TYPE)
      public static @interface InjectionInfo.InjectorOrder

  Decoration for subclasses which specifies the order (phase) in which the injector should be applied relative to other injectors. Built-in injectors except for redirectors all run at DEFAULT unless specified in the injector annotation.

  Injectors in the same order are sorted by mixin priority and declaration order within the mixin as always.

- - ### Field Summary

    Fields
    Modifier and Type | Fields | Description
    --- | --- | ---
    `static int` | `AFTER_REDIRECT` | Injector which should run after redirect injector
    `static int` | `DEFAULT` | Default order, all injectors except redirect run here unless manually adjusted
    `static int` | `EARLY` | An early injector, run before most injectors
    `static int` | `LATE` | Late injector, runs after most injectors but before redirects
    `static int` | `REDIRECT` | Built-in order for Redirect injectors

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element | Description
    --- | --- | ---
    `int` | `value` | String prefix for conforming handler methods

- - ### Field Detail

    - #### EARLY

          static final int EARLY

      An early injector, run before most injectors

  - - #### DEFAULT

          static final int DEFAULT

      Default order, all injectors except redirect run here unless manually adjusted

  - - #### LATE

          static final int LATE

      Late injector, runs after most injectors but before redirects

  - - #### REDIRECT

          static final int REDIRECT

      Built-in order for Redirect injectors

  - - #### AFTER_REDIRECT

          static final int AFTER_REDIRECT

      Injector which should run after redirect injector

  - ### Element Detail

    - #### value

          int value

      String prefix for conforming handler methods
      Default:
        1000